/* 
 "FreeAndOpenSolLeWitt" 
 
Copyright (C) 2013  Jürgen Hellmann

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

void setup() {
  size(1280, 1024, P3D);

}

void draw() {
  int SI = 100;
  int IT=6;
  int X;
  int Y;
  int Z;
  
  background(0);
  camera(mouseX*4+1500, mouseY*4, (height/2) / tan(PI/6)-500, width/2, height/2, 0, 1, 1, 0);
  translate(width/2, height/2, -1000);

  
  
  stroke(255);
  noFill();
  
  for (IT = 6 ; IT > 0 ; IT--)
    {
     for (Y = IT ; Y > 0 ; Y--)
      { 
      for (X = IT ; X > 0 ; X--)
        {
         for (Z = IT ; Z > 0 ; Z--)
           {
            box(SI);
            translate(SI, 0, 0);
           }
         translate(-SI*IT, 0, 0);
         translate(0, 0, SI);  
         }
      translate(0, SI, -SI*IT);
      
      }
    translate(SI/2, 0, SI/2);
   
    }
   
}

/*
                ZERTIFIKAT

Dieses Zertifikat bestätigt, das obiges Werk nichts mit Sol LeWitt oder
Superflex gemein hat. Die Software "FreeAndOpenSolLeWitt" wurde ohne
jegliche Aura erstellt und mehrfach auf Aurafreiheit geprüft. Da die
Aura ein unabdingbarer Bestandteil der Kunst ist und LeWitt und Superflex
Künstler sind, die Kunst produzieren, stellt "FreeAndOpenSolLeWitt" 
keine Kunst dar und ist daher keine Urheberrechtsverletzung.

Jürgen Hellmann

*/
